## Welcome to PikHacker's Screen/Sound Test

I made this as a tool to help with 1^2's development,
but I decided to give it a public release after
adding the music player part to it.

The mod is provided as only a .dol file, you need to extract
the normal game with Dolphin and replace the .dol file in the "sys"
folder with this one. Then open the game and it should go to this
after the boot screen.

The menu can be navigated with the control stick, or the D-pad for some things.
For most countable selectors, such as the current music selection, the analog 
stick will scroll every frame, while the dpad is used for specific selections.
Trust me, you'll definitely need the control stick if you want to listen to
sound effects in the other categories. Press A to interact with most options.
When in any screen, press Y to reset it and return to the menu at any time.
Any prompts to save the game shouldn't actually overwrite any save data.

Day Results:
Opens the full End of Day results sequence. You can change what category the 
game picks the mail from, from 31-37 (thats the valid range in the actual game).

Ship Text:
Opens any cutscene dialouge in the game. You can see the message ID of text in
the json from the .bmg converter ("ID"). You can make the ship say stuff that
isn't normally cutscene text (like the piklopedia entries) and it works fully.
But any text without a pause command will just close right away.
If you open an ID that doesn't exist, it just won't appear at all.

Change Language:
This doesn't really work here like in 1^2, since I had to add changing languages
on the fly there, which would be too complicated to make work in vanilla.
It does let you change what screen files are loaded though, which is all you
need for the course loading screen and other screens.
(Note that if you put this over a USA root, the european language files will all be copies of japanese)

Final Results:
Opens the final results screen, with mostly 0s values filled in.
You can change which type it opens, with 0 being the one after 
you pay the debt, and 1 being the one after you get all treasures.

Cave Results:
Not much to say about this one, the treasures that appear are randomized each time you open the game.
The sparkle sound never shuts up so you'll probably want to reset after finishing with it.

Course Name:
You can see any of the level loading screens, they're pretty neat.

Game HUD:
Opens the regular game UI, complete with the sunset warning/countdown.

Challenge Results:
Shows a randomly generated challenge mode results.
You can change the flags, which can change whether you
get perfect or not, as well as if it counts as 2-player.

Save:
Opens the save prompt with the option, as seen between cave
floors, get a free Totaka's song if you wait 3 minutes.

Sound Effect:
Play any sound effect, be very careful with this because it crashes if you play an invalid sound.
Valid Sounds include:
0x0800-0x08a9 (captains)
0x1800-0x1893 (menu)
0x2800-0x2887 (pikmin)
0x3800-0x387e (objects)
0x4800-0x483c (misc)
0x5800-0x598b (enemies)

Pause:
Opens the pause menu. 0 is the standard story mode one. 1 is the 2p battle version.
2 is the challenge mode version.

Challenge Select:
Opens the challenge mode menu. You can select stuff, no actual playing though.

Continue:
Opens the "do you want to continue" prompt after repaying the debt.

Memory Card:
Opens the screen for creating a save file for the first time.
There's a whopping 43 different messages you can see. It's pretty neat.

Onion:
Opens the Onion menu, you can choose any of the 5 colors.

[Press Down from here to get to the bottom page]

Stream Bgm:
Play any of the game's .ast files (at least the ones in StreamList.txt)
You can press A to start the current selection, and press B to force stop it.

Bms:
Play any of the game's .bms/.cnd files (at least the ones that can play without issues in vanilla).
Press A to start the current selection, and press B to force stop it.
Note that the versus battle theme (battle_t.bms) has different rules for most of the following options.

Bgm Captain:
Change whether the music swing mode is active.
Works with most interactive music, including the boss theme.

Bgm Working Mix:
Toggle the "working on objects" mix for most interactive music.
Does nothing for battle_t.bms.

Bgm Treasure Mix:
Toggle the "collecting treasure" mix for most interactive music.
Does nothing for battle_t.bms.

Bgm Enemy Near Mix:
Toggle the "collecting treasure" mix for most interactive music.
Does nothing for battle_t.bms.

Bgm Combat Mix:
Toggle the "collecting treasure" mix for most interactive music.
Toggles the "olimar!" chant for battle_t.bms.

Bgm Spiderwort Mix:
Toggle the "near spiderwort" mix for the above ground themes.
This mix exists unused for some of the cave music, although
I don't think it plays them properly in-game.
Toggles the "louie!" chant for battle_t.bms.

Bgm Lost Pikmin Mix:
Toggle the "missing notes" mix for most interactive music.
This normally plays when you're low on pikmin, and makes a lot 
of notes be missing.
Toggles the "olimar collecting cherry" mix for battle_t.bms.

Bgm Damaged Mix:
Toggle the "distorted" mix for most interactive music.
This normally plays when you get hit, only lasting for a second.
You'll have to turn it off and back on to get it to stay on in this.
Toggles the "louie collecting cherry" mix for battle_t.bms.

Bgm Low Health Mix:
Toggle the "low health" mix for most interactive music.
This normally plays when you're below half health, and makes
the music play at half tempo.
Toggles the "captain combat" mix for battle_t.bms.

Bgm Sunset:
Toggle the sunset state for the above ground music.
Doesn't do anything for the other songs.
(Shoutouts to bugged wistful wild theme)

Bgm Boss State:
Only works for the main boss (m_boss.bms) and final boss (l_boss.bms)
You can change which part of the song is currently playing.
For m_boss:
0 = main loop, not fighting
1 = main loop, fighting
2 = about to attack
3 = attack 1
4 = attack 2 (escape?)
5 = attack 3
6 = attack 4
7 = attack 5
8 = long attack
9 = intro
10 = defeated
11 = waterwraith escape
12 = waterwraith escape shake

For l_boss:
0 = (crash? cant seem to access it, its disabled here)
1 = 4 weapons left
2 = about to attack
3 = flare cannon
4 = shake with no weapons
5 = comedy bomb
6 = monster pump
7 = shock therapist
8 = 3 weapons left
9 = 2 weapons left
10 = 1 weapon left
11 = no weapons left
12 = (unused) intro
13 = defeated
